com.holonplatform.vaadin7.components.builders

## Interface LayoutConfigurator<B extends LayoutConfigurator<B>>

- Type Parameters:
    `B` - Concrete configurator type
  All Superinterfaces:
    ClickableLayoutConfigurator<B>, ComponentConfigurator<B>, ComponentContainerConfigurator<B>
  All Known Subinterfaces:
    FormLayoutBuilder, GridLayoutBuilder, HorizontalLayoutBuilder, LayoutBuilder<C,B>, LayoutConfigurator.BaseLayoutConfigurator, OrderedLayoutBuilder<C,B>, OrderedLayoutConfigurator<B>, OrderedLayoutConfigurator.BaseOrderedLayoutConfigurator, VerticalLayoutBuilder

      public interface LayoutConfigurator<B extends LayoutConfigurator<B>>
      extends ClickableLayoutConfigurator<B>

  Interface to configure a `Layout`.
  Since:
    5.0.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `LayoutConfigurator.BaseLayoutConfigurator` Base layout configurator

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ClickableLayoutConfigurator

      `ClickableLayoutConfigurator.BaseClickableLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `B` | `addAndAlign(com.vaadin.ui.Component component, com.vaadin.ui.Alignment alignment)` Adds the given component to layout with given `alignment`
    `B` | `align(com.vaadin.ui.Component component, com.vaadin.ui.Alignment alignment)` Set alignment for one contained component in this layout.
    `B` | `defaultAlignment(com.vaadin.ui.Alignment alignment)` Sets the default alignment used for components added to this layout.
    `B` | `margin()` Enable layout margins.
    `B` | `marginBottom()` Enable layout bottom margin.
    `B` | `marginLeft()` Enable layout left margin.
    `B` | `marginRight()` Enable layout right margin.
    `B` | `marginTop()` Enable layout top margin.
    `B` | `spacing()` Enable spacing between child components within the layout.

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ClickableLayoutConfigurator

      `withLayoutClickListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentContainerConfigurator

      `add, withComponentAttachListener, withComponentDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin7.components.builders.ComponentConfigurator

      `caption, caption, caption, captionAsHtml, description, description, description, disabled, errorHandler, fullHeight, fullSize, fullWidth, height, height, heightUndefined, hidden, icon, id, immediate, notVisible, primaryStyleName, replaceStyleName, responsive, sizeUndefined, styleName, width, width, widthUndefined, withAttachListener, withContextClickListener, withData, withDetachListener, withShortcutListener`

- - ### Method Detail

    - #### spacing

          B spacing()

      Enable spacing between child components within the layout.
      Returns:
        this

    - #### margin

          B margin()

      Enable layout margins. Affects all four sides of the layout.
      Returns:
        this

    - #### marginTop

          B marginTop()

      Enable layout top margin.
      Returns:
        this

    - #### marginBottom

          B marginBottom()

      Enable layout bottom margin.
      Returns:
        this

    - #### marginLeft

          B marginLeft()

      Enable layout left margin.
      Returns:
        this

    - #### marginRight

          B marginRight()

      Enable layout right margin.
      Returns:
        this

    - #### defaultAlignment

          B defaultAlignment(com.vaadin.ui.Alignment alignment)

      Sets the default alignment used for components added to this layout.
      Parameters:
        `alignment` - the Alignment to use
      Returns:
        this

    - #### align

          B align(com.vaadin.ui.Component component,
                  com.vaadin.ui.Alignment alignment)

      Set alignment for one contained component in this layout.
      Parameters:
        `component` - the component to align within it's layout cell
        `alignment` - the Alignment to use
      Returns:
        this

    - #### addAndAlign

          B addAndAlign(com.vaadin.ui.Component component,
                        com.vaadin.ui.Alignment alignment)

      Adds the given component to layout with given `alignment`
      Parameters:
        `component` - The component to add
        `alignment` - the Alignment to use for the component
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.